package ve;

import java.util.ArrayList;

public class Unterhaltungsprogramm
{
  /** Eine dynamische Datenstruktur nimmt Unterhaltend-Objekt auf. */ 
  private ArrayList<Unterhaltend> programm = new ArrayList<Unterhaltend>();

  /**
   * Fügt ein neues Unterhaltungsobjekt in das Unterhaltungsprogramm ein.
   * 
   * @param u Hinzuzufügendes Unterhaltungsobjekt.
   */
  public void fügeHinzu( Unterhaltend u )
  {
    programm.add( u );
  }

  /**
   * Liefert den Gesamtunterhaltungswert aller Unterhaltungsobjekte.
   *
   * @return Gesamtunterhaltungswert.
   */
  public int unterhaltungswert()
  {
    int uw = 0;

    for ( Unterhaltend u : programm )
      uw += u.unterhaltungswert();

    return uw;
  }
}
